Loading...
Searching...
No Matches
stdex::html::starting_token< _Elem, _Traits, _Alloc > Class Template Reference

Token representing start HTML tag. More...

`#include <stdex/html.hpp>`

Inheritance diagram for stdex::html::starting_token< _Elem, _Traits, _Alloc >:

## Public Attributes

std::basic_string< _Elem, _Traits, _Alloc > | name
| Element name allowing later recreation of ending </tag>
stdex::html::sequence * | end_sequence
| Ending tag sequence.
Public Attributes inherited from stdex::html::text_token< _Elem, _Traits, _Alloc >
std::basic_string< _Elem, _Traits, _Alloc > | text
| Token text.
uint32_t | text_type
| Mask of text_type_flag_t to specify text content.
stdex::mapping_vector< size_t > | mapping
| Mapping between source and text positions.
Public Attributes inherited from stdex::html::token
token_t | type
| Token type.
sequence * | sequence
| Pointer to the sequence this token represents or nullptr when it doesn't trivially represent one sequence.
uintptr_t | data
| Any user-supplied data.

## Protected Member Functions

| starting_token (_In_reads_or_z_opt_(num_chars_text) const _Elem *_text=nullptr, size_t num_chars_text=0, _In_reads_or_z_opt_(num_chars_name) const _Elem *_name=nullptr, size_t num_chars_name=0, uint32_t text_type=0, stdex::html::sequence *sequence=nullptr, stdex::html::sequence *_end_sequence=nullptr, uintptr_t data=0)
Protected Member Functions inherited from stdex::html::text_token< _Elem, _Traits, _Alloc >
| text_token (token_t type=token_t::complete, _In_reads_or_z_opt_(num_chars) const _Elem *_text=nullptr, size_t num_chars=0, uint32_t _text_type=0, stdex::html::sequence *sequence=nullptr, uintptr_t data=0)
Protected Member Functions inherited from stdex::html::token
| token (token_t _type=token_t::root, sequence *_sequence=nullptr, uintptr_t _data=0)

## Friends

class | parser< _Elem, _Traits, _Alloc >

## Additional Inherited Members

Public Member Functions inherited from stdex::html::token
template<class _Traits = std::char_traits<char>, class _Alloc = std::allocator<char>>
size_t | append_tag (std::basic_string< char, _Traits, _Alloc > &str) const
| Appends token tag to the source code.
template<class _Traits = std::char_traits<wchar_t>, class _Alloc = std::allocator<wchar_t>>
size_t | append_tag (std::basic_string< wchar_t, _Traits, _Alloc > &str) const
| Appends token tag to the source code.
Static Public Member Functions inherited from stdex::html::token
template<class T >
static token * | parse_tag (const T *str, size_t &offset)

## Detailed Description

template<class _Elem, class _Traits = std::char_traits<_Elem>, class _Alloc = std::allocator<_Elem>>
class stdex::html::starting_token< _Elem, _Traits, _Alloc >

Token representing start HTML tag.

The documentation for this class was generated from the following file:

- include/stdex/html.hpp